#ifndef CONTROLLER_H
#define CONTROLLER_H

#include <stdbool.h>
#include "inputs.h"

typedef struct controller_t {
    inputs_buffer_t inputs_buffer;

    double delta_time_ms;
    bool is_running;
} controller_t;

extern controller_t controller;

// Init all controller's components
int controller_init(void);
// Handle all inputs and outputs
void controller_handle_inputs_outputs(void);
// Deinit controller's components
void controller_deinit(void);

#endif // CONTROLLER_H