#ifndef INPUTS_H
#define INPUTS_H

#include <pico/types.h>

#define ANGLE_PER_SECOND 45

typedef enum buttons_t {
    BUTTON_L,
    BUTTON_R,
    BUTTON_BLACK,
    BUTTON_BLUE,
    BUTTON_WHITE,
    BUTTON_GREEN,

    NB_BUTTONS
} buttons_t;

typedef struct button_def_t {
    uint pin;
} button_def_t;

extern const button_def_t BUTTONS_DEFS[];

#define JOYSTICK_X_AXIS_PIN 27
#define JOYSTICK_Y_AXIS_PIN 28

#define JOYSTICK_X_AXIS_ADC_INPUT 1
#define JOYSTICK_Y_AXIS_ADC_INPUT 2

typedef struct inputs_buffer_t {
    int8_t x_axis_speed;
    int8_t y_axis_speed;
    int16_t robot_angle;
    bool buttons_states[NB_BUTTONS];
} inputs_buffer_t;


void inputs_init(void);

void get_inputs(void);

#endif // INPUTS_H