#ifndef UDP_SERVER_H
#define UDP_SERVER_H

#include <stdint.h>
#include <lwip/udp.h>

#define UDP_SERVER_PORT 4242

#define UDP_SERVER_BUFFER_SIZE 16

#define UDP_PAYLOAD_ANGLE_L_BYTE 0x00
#define UDP_PAYLOAD_ANGLE_H_BYTE 0x01
#define UDP_PAYLOAD_X_AXIS_SPEED_BYTE 0x02
#define UDP_PAYLOAD_Y_AXIS_SPEED_BYTE 0x03

#define UDP_CLIENT_IP "192.168.128.2"
#define UDP_CLIENT_PORT 4243

typedef struct udp_server_t {
    struct udp_pcb *pcb;
} udp_server_t;

void udp_server_init(void);

void udp_server_exit(void);
// Send data depending of the data in inputs buffer
void udp_server_send(void);

#endif // UDP_SERVER_H